Validation Error (#1,129)
Status: OPEN
Date: 01/06/2021
ID: 1,129
S/O number: SO2021/1402392
Reviewer: Hiral Bhatt
Module Name: bi_generic_import
Version: 14.0
Tags: Enterprise Onpremise,

Assigned to
Contact
Tirth Mehta
tirth.mehta@browseinfo.in

Description
Issue :
When we import invoice it throws error :-
esult = _call_kw_multi(method, model, args, kwargs)
File "C:\Program Files\Odoo 14.0e.20210521\server\odoo\api.py", line 383, in _call_kw_multi
result = method(recs, *args, **kwargs)
File "C:\Program Files\Odoo 14.0e.20210521\server\odoo\addons\bi_generic_import\models\account_invoice.py", line 611, in import_csv
res = self.make_invoice(values)
File "C:\Program Files\Odoo 14.0e.20210521\server\odoo\addons\bi_generic_import\models\account_invoice.py", line 324, in make_invoice
self.make_invoice_line(values, inv_id)
File "C:\Program Files\Odoo 14.0e.20210521\server\odoo\addons\bi_generic_import\models\account_invoice.py", line 535, in make_invoice_line
res.write({'invoice_line_tax_ids':([(6,0,tax_ids)])})
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "C:\Program Files\Odoo 14.0e.20210521\server\odoo\http.py", line 639, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "C:\Program Files\Odoo 14.0e.20210521\server\odoo\http.py", line 315, in _handle_exception
raise exception.with_traceback(None) from new_cause
NameError: name 'res' is not defined

Message and communication history